! $Id: aflicker.S,v 1.1 2009-07-05 00:11:18 chris Exp $
!
! fillscr() function to fill the screen memory with
! a given value
!
! extern void fillscr(unsigned short value);
!
	.z8001
	.text
	.even
	.globl	_fillscr

_fillscr:

#ifdef __STD_CALL__
	ld	r7,rr14(#4)     /* get "value" parameter */
#else
/*	ld	r7,r7		if not _STD_CALL__, first
				parameter is passed in r7 */
#endif

/* registers r0..r7 don't need to be preserved
 * across function calls
 */
	ldl	rr4,#0x03000000	! setup pointer to screen memory

! fill screen memory with value of rl0
	ld	r1,#0x2000-1	! screen memory (monochrome)
				! is 16k in size, count in words

	ld	@rr4,r7		! fill first word
	ldl	rr2,rr4
	inc	r5,#2		! rr4 points to 2nd word of
				! screen memory
	ldir	@rr4,@rr2,r1	! fill the complete memory
	ret

