/* $Id: aflicker.c,v 1.1 2009-07-05 00:12:07 chris Exp $
 *
 * "flicker" the screen ten times (using external
 * assembly subroutine to fill screen memory)
 */

/* fill screen memory with "value" */
extern void fillscr(unsigned short value);

/* small busy loop delay routine */
static void delay(void)
{
    unsigned long i = 0x20000;

    while (i--)
        ;
}

int main(void)
{
    int i;

    for (i = 0; i < 10; i++) {
        fillscr(0);
        delay();
        fillscr(0xffff);
        delay();
    }
    return 0;
}
