/* $Id: flicker.c,v 1.2 2009-06-03 21:04:31 chris Exp $
 *
 * "flicker" the screen ten times
 */

/* pointer to screen memory, segment #3 */
unsigned short *screen = (unsigned short *)0x3000000;

/* fill screen memory with "value" */
static int fillscr(unsigned short value)
{
    int i;

    for (i = 0; i < 0x2000; i++)
        *(screen + i) = value;
}

/* small busy loop delay routine */
static void delay(void)
{
    unsigned long i = 0x20000;

    while (i--)
        ;
}

int main(void)
{
    int i;

    for (i = 0; i < 10; i++) {
        fillscr(0);
        delay();
        fillscr(0xffff);
        delay();
    }
    return 0;
}
